Bug 1026751 - No X11 DISPLAY variable was set
No X11 DISPLAY variable was set
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sagemath (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
: Reopened
: 1381886 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 06:14 EST by Germano Massullo
Modified: 2017-08-08 07:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2013-11-05 06:14:49 EST
Description of problem:
I am running Sage math on a user that has no X session active. I am now connected from a remote machine.
If I enter commands like:

H4=graphs.CubeGraph(4)
H4.plot3d()


I get the error messages:

Exception in thread "main" java.lang.ExceptionInInitializerError
Caused by: java.awt.HeadlessException: 
No X11 DISPLAY variable was set, but this program performed an operation
which requires it.
	at sun.awt.HeadlessToolkit.getScreenSize(HeadlessToolkit.java:282)
	at org.openscience.jmol.app.jmolpanel.JmolPanel.<clinit>(Unknown
Source)

Sleeping...

if no image appears re-execute the cell. 3-D viewer has been updated




Version-Release number of selected component (if applicable):
sagemath-5.9-9.fc19.x86_64
Comment 1 Germano Massullo 2013-11-05 06:24:53 EST
Using the command 

H4=graphs.CubeGraph(4)
j=H4.plot3d()
j.show(viewer='tachyon')

Sagemath correctly shows the graph.


H4=graphs.CubeGraph(4)
j=H4.plot3d()
j.show(viewer='java3d')

works too.

Using
  
j.show(viewer='jmol')
gives error messages like in comment #1, so I think jmol is be the default viewer, that gives troubles.
Comment 2 Fedora End Of Life 2015-01-09 15:28:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:03:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Germano Massullo 2016-10-05 05:37:34 EDT
*** Bug 1381886 has been marked as a duplicate of this bug. ***
Comment 5 Paulo Andrade 2016-12-30 12:10:30 EST
Sorry for the long delay responding this bug report.

I am about to update rawhide at first for sagemath-7.4.

There was an issue with newer sagemath where it would not
load jmol because it would search in $SAGE_LOCAL/bin/jmol
instead of jmol in $PATH. I am adding a small patch to
cover the test case in your bug report, and make it work
for the newer sagemath package.
Comment 6 Fedora End Of Life 2017-07-25 14:36:03 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 07:43:55 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.